SymbolShapeHint (ZXing 3.4.0 API)

com.google.zxing.datamatrix.encoder

## Enum SymbolShapeHint

- java.lang.Object
- - java.lang.Enum<SymbolShapeHint>
  - - com.google.zxing.datamatrix.encoder.SymbolShapeHint

- All Implemented Interfaces:
    Serializable, Comparable<SymbolShapeHint>

      public enum SymbolShapeHint
      extends Enum<SymbolShapeHint>

  Enumeration for DataMatrix symbol shape hint. It can be used to force square or rectangular symbols.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FORCE_NONE`
    `FORCE_RECTANGLE`
    `FORCE_SQUARE`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SymbolShapeHint` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SymbolShapeHint[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FORCE_NONE

          public static final SymbolShapeHint FORCE_NONE

    - #### FORCE_SQUARE

          public static final SymbolShapeHint FORCE_SQUARE

    - #### FORCE_RECTANGLE

          public static final SymbolShapeHint FORCE_RECTANGLE

  - ### Method Detail

    - #### values

          public static SymbolShapeHint[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SymbolShapeHint c : SymbolShapeHint.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SymbolShapeHint valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2007–2019. All rights reserved.